commit:     ed6725590f951c76e56dadcc228ad7dd46813aa3
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 31 16:40:20 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 31 16:42:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed672559

net-misc/ytfzf: add 2.6.2

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/ytfzf/Manifest           |  1 +
 net-misc/ytfzf/ytfzf-2.6.2.ebuild | 59 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/net-misc/ytfzf/Manifest b/net-misc/ytfzf/Manifest
index e2f8c0d201c3..279c606927c6 100644
--- a/net-misc/ytfzf/Manifest
+++ b/net-misc/ytfzf/Manifest
@@ -1 +1,2 @@
 DIST ytfzf-2.6.1.tar.gz 3278989 BLAKE2B 
85ad83d9880e3e9e02a9a22b9f15e9ce88fafb1466f1694bd05766b24ac4505ce7da61e391d18f2973695394b89f5e4581f1c9e6588a6783a6fefa7adfaf7c67
 SHA512 
9266065352ae797bd5b8a2c71681b15599347ca38a519a21e84b42a0e8bb102c0937a02cbd6027c736ac0bdd7a6bc67fea664ecce5698032b4fef1ef0ec92c65
+DIST ytfzf-2.6.2.tar.gz 3279051 BLAKE2B 
d2517915e3025bf32b5db4a17f6afe218cd1693e611a76627a87193f0403e86d021c58717f627191b5979142799e6c4d0d3f9864812d8dc3d22f9a28fe379eaf
 SHA512 
9c2d6d6fbd6a21385531523401c113b681d8fd3e3bc0f6566730e0de55a4e70a4d86bebced7cdf472cb145cc1247b79b25ba502ec7a79aee0d89ad816ba434ef

diff --git a/net-misc/ytfzf/ytfzf-2.6.2.ebuild 
b/net-misc/ytfzf/ytfzf-2.6.2.ebuild
new file mode 100644
index 000000000000..25b0ee206784
--- /dev/null
+++ b/net-misc/ytfzf/ytfzf-2.6.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Posix script to find and watch youtube videos from the terminal"
+HOMEPAGE="https://github.com/pystardust/ytfzf/";
+SRC_URI="https://github.com/pystardust/ytfzf/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal +thumbnails"
+
+RDEPEND="
+       app-misc/jq
+       net-misc/curl[ssl]
+       app-alternatives/awk
+       !minimal? (
+               app-shells/fzf
+               media-video/mpv[lua]
+               net-misc/yt-dlp
+               thumbnails? (
+                       || (
+                               media-gfx/ueberzugpp
+                               media-gfx/ueberzug
+                       )
+               )
+       )
+"
+
+src_compile() { :; }
+
+src_install() {
+       local emakeargs=(
+               DESTDIR="${D}"
+               PREFIX="${EPREFIX}"/usr
+               DOCDIR="${EPREFIX}"/usr/share/doc/${PF}
+       )
+
+       emake "${emakeargs[@]}" addons doc install
+       einstalldocs
+
+       rm -r "${ED}"/usr/share/licenses || die
+}
+
+pkg_postinst() {
+       optfeature "external menu support" x11-misc/dmenu
+       optfeature "desktop notifications" x11-libs/libnotify
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "Note that ${PN} supports many methods to display 
menus/thumbnails."
+               elog "This ebuild primarily covers defaults and major features, 
additional"
+               elog "dependencies may be needed for others. Set USE=minimal if 
want full"
+               elog "control over optional dependencies (e.g. fzf is optional 
if use dmenu)."
+       fi
+}

Reply via email to